LDATTACH(8)

NUME
ldattach - atașează o disciplină de linie la o linie serială

REZUMAT

ldattach [-1278denoVh] [-i iflag] [-s viteza] disciplină-linie dispozitiv

DESCRIERE

Demonul ldattach deschide fișierul dispozitiv specificat (care trebuie să se refere la un dispozitiv serial) și atașează disciplina de linie disciplină-linie la acesta pentru procesarea datelor trimise și/sau primite. Apoi trece în fundal, menținând dispozitivul deschis, astfel încât disciplina de linie să rămână încărcată.

Disciplina de linie disciplină-linie poate fi specificată fie prin nume, fie prin număr.

Pentru a detașa disciplina de linie, kill(1) procesul ldattach.

Fără argumente, ldattach afișează informații despre utilizare.

DISCIPLINE DE LINIE

În funcție de versiunea nucleului, sunt acceptate următoarele discipline de linie:

TTY(0)
    Disciplina de linie implicită, care oferă o funcționare transparentă (modul brut), precum și capacitățile obișnuite de editare a liniei terminalului (modul prelucrat).

SLIP(1)
    Procesor de protocol Serial Line IP (SLIP) pentru transmiterea pachetelor TCP/IP pe linii seriale.

MOUSE(2)
    Controlor de dispozitiv pentru dispozitive de indicare conectate la RS232 (mouse-uri seriale).

PPP(3)
    Procesor PPP (Point to Point Protocol) pentru transmiterea pachetelor de rețea pe linii seriale.

STRIP(4); AX25(5); X25(6)
    Controlor de linie pentru transmiterea pachetelor X.25 pe linii seriale asincrone.

6PACK(7); R3964(9)
    Controlor pentru modulul Simatic R3964.

IRDA(11)
    Controlor Linux IrDa (transmisie de date în infraroșu) - a se vedea

HDLC(13)
    Controlor HDLC sincron.

SYNC_PPP(14)
    Controlor PPP sincron.

HCI(15)
    Controlor Bluetooth HCI UART.

GIGASET_M101(16)
    Controlor pentru adaptorul Siemens Gigaset M101 serial DECT.

PPS(18)
    Controlor pentru sursa de impulsuri pe secundă (PPS) a liniei seriale.

GSM0710(21)
    Controlor pentru modemul cu protocol de multiplexare GSM 07.10 (CMUX).

OPȚIUNI

-1, --onestopbit
    Stabilește numărul de biți de oprire a liniei seriale la unu.

-2, --twostopbits
    Stabilește numărul de biți de oprire a liniei seriale la doi.

-7, --sevenbits
    Setați dimensiunea caracterului liniei seriale la 7 biți.

-8, --eightbits
    Stabilește dimensiunea caracterului liniei seriale la 8 biți.

-d, --debug
    Menține ldattach în prim-plan pentru a putea fi întrerupt sau depanat și pentru a afișa mesaje detaliate despre progresul său la ieșirea de eroare standard.

-e, --evenparity
    Stabilește paritatea liniei seriale la par.

-i, --iflag valoare...
    Stabilește biții specificați în cuvântul c_iflag al liniei seriale. valoarea dată poate fi un număr sau un nume simbolic. În cazul în care valoarea este precedată de un semn minus, în locul de aceasta, se șterg biții specificați. Se pot da mai multe valori separate prin virgule pentru a stabili și șterge mai mulți biți.

-n, --noparity
    Stabilește paritatea liniei seriale la niciunul.

-o, --oddparity
    Setați paritatea liniei seriale la impar.

-s, --speed valoare
    Stabilește viteza (viteza de transmisie) a liniei seriale la valoarea specificată.

-c, --intro-command șir
    Definește o comandă de introducere care este trimisă prin linia serială înainte de invocarea ldattach. De exemplu, în combinație cu disciplina de linie GSM0710, comanda "AT+CMUX=0\r" este în mod obișnuit adecvată pentru a comuta modemul în modul CMUX.

-p, --pause valoare
    Doarme timp de valoare secunde înainte de invocarea ldattach. Valoarea implicită este de o secundă.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

AUTORI

CONSULTAȚI ȘI

inputattach(1), ttys(4)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda ldattach face parte din pachetul util-linux care poate fi descărcat de la